[ovs-dev] [PATCH] vlog: Use python 2.4 compatible functions.

Gurucharan Shetty shettyg at nicira.com
Mon May 5 19:33:44 UTC 2014


Xenserver uses python 2.4.

Signed-off-by: Gurucharan Shetty <gshetty at nicira.com>
---
 python/ovs/vlog.py |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/python/ovs/vlog.py b/python/ovs/vlog.py
index 580b1bc..1bd42c4 100644
--- a/python/ovs/vlog.py
+++ b/python/ovs/vlog.py
@@ -107,12 +107,12 @@ class Vlog:
                 ms = delta.microseconds / 1000
                 tmp = self._format_field(tmp, m, str(ms))
             elif "t" in m:
-                subprogram = threading.current_thread().name
+                subprogram = threading.currentThread().getName()
                 if subprogram == "MainThread":
                     subprogram = "main"
                 tmp = self._format_field(tmp, m, subprogram)
             elif "T" in m:
-                subprogram = threading.current_thread().name
+                subprogram = threading.currentThread().getName()
                 if not subprogram == "MainThread":
                     subprogram = "({})".format(subprogram)
                 else:
-- 
1.7.9.5




More information about the dev mailing list